## net.sf.saxon.om
Interface TypeInfo

All Known Implementing Classes:
  SchemaType

public interface TypeInfo

This is a copy of the TypeInfo interface defined in DOM Level 3. It is intended that this interface will be replaced by the DOM interface once this is generally available in the Java platform.

Field Summary
`static int` `DERIVATION_EXTENSION`
`static int` `DERIVATION_LIST`
`static int` `DERIVATION_RESTRICTION`
`static int` `DERIVATION_UNION`

Method Summary
`java.lang.String` `getTypeName()`
`java.lang.String` `getTypeNamespace()`
`boolean` `isDerivedFrom(java.lang.String typeNamespaceArg, java.lang.String typeNameArg, int derivationMethod)`

Field Detail

### DERIVATION_RESTRICTION

    public static final int DERIVATION_RESTRICTION

See Also:
  Constant Field Values

### DERIVATION_EXTENSION

    public static final int DERIVATION_EXTENSION

See Also:
  Constant Field Values

### DERIVATION_UNION

    public static final int DERIVATION_UNION

See Also:
  Constant Field Values

### DERIVATION_LIST

    public static final int DERIVATION_LIST

See Also:
  Constant Field Values

Method Detail

### getTypeName

    public java.lang.String getTypeName()

### getTypeNamespace

    public java.lang.String getTypeNamespace()

### isDerivedFrom

    public boolean isDerivedFrom(java.lang.String typeNamespaceArg,
                                 java.lang.String typeNameArg,
                                 int derivationMethod)